Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235610 - RFE: minimal busybox subpackage for use with petitboot bootloader.
Summary: RFE: minimal busybox subpackage for use with petitboot bootloader.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: busybox
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 235611
TreeView+ depends on / blocked
 
Reported: 2007-04-07 23:12 UTC by David Woodhouse
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-10 20:02:20 UTC


Attachments (Terms of Use)
config file for petitboot (deleted)
2007-04-07 23:12 UTC, David Woodhouse
no flags Details
CVS repository patch. (deleted)
2007-04-07 23:24 UTC, David Woodhouse
no flags Details | Diff
correct config file (deleted)
2007-04-10 05:06 UTC, David Woodhouse
no flags Details

Description David Woodhouse 2007-04-07 23:12:08 UTC
Petitboot is a kexec-based bootloader intended primarily for use on PlayStation
3, where we put a kernel+initrd into flash to act as a bootloader.

In such a system we need a very minimal busybox, using something like the
attached config. Please could we build a 'busybox-petitboot' subpackage for it,
just like we do for the 'busybox-anaconda' subpackage?

Comment 1 David Woodhouse 2007-04-07 23:12:08 UTC
Created attachment 151922 [details]
config file for petitboot

Comment 2 David Woodhouse 2007-04-07 23:22:07 UTC
It seems that the addition of -lsepol to $(cmd_link) in Rules.mak, which is done
by busybox-1.2.0-selinux.patch, isn't actually needed. It gets added to
$(LIBRARIES) anyway. Removing that makes the minimal busybox.petitboot no longer
link against libsepol -- while the other two builds do still link against it
correctly.

Having done that, we can remove busybox-1.2.0-gcc41.patch entirely -- it doesn't
do anything except add a single space on the line previously modified by the
selinux patch.

Comment 3 David Woodhouse 2007-04-07 23:24:45 UTC
Created attachment 151923 [details]
CVS repository patch.

Comment 4 David Woodhouse 2007-04-08 00:15:55 UTC
I think you have to turn off CONFIG_BUILD_AT_ONCE (in busybox-petitboot.config)
because it fails otherwise. It would save about 30KiB though, so I'll look into
fixing it at some point.


Comment 5 David Woodhouse 2007-04-10 05:06:21 UTC
Created attachment 152088 [details]
correct config file

This is the config file to use.


Note You need to log in before you can comment on or make changes to this bug.